Subject: Looking for ideas.

From: [email-masked] (Steven Lee)
Date: 26 Feb 1995 22:14:00 GMT

Hello,

I'm Steven at Green Garden West. Ellie and I grow most of the early
greens (sunflower greens, buckwheat greens, pea greens, and wheat grass)
in the state of Oregon. We are looking for some more crop ideas. Up until
now our process has included small area, intensive, organic growing. Any
ideas? Unique or specialty items? Something you would like to see in the
stores?

Thanks
Steven & Ellie
[email-masked]
503 998-3821